Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Delete Method (DatabaseEntry, Transaction)
BaseDatabase Class See Also Send Feedback

Remove key/data pairs from the database. If key is DatabaseEntry, the key/data pair associated with key is discarded from the database. In the presence of duplicate key values, all records associated with the designated key are discarded. If key is MultipleDatabaseEntry, delete multiple data items using keys from the buffer to which the key parameter refers. If key is MultipleKeyDatabaseEntry, delete multiple data items using keys and data from the buffer to which the key parameter refers.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Delete(
    	DatabaseEntry key,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Sub Delete ( _
    	key As DatabaseEntry, _
    	txn As Transaction _
    )

Visual C++
    public:
    void Delete(
    	DatabaseEntry^ key,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  Discard the key/data pairs associated with key.

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# Remarks

When called on a secondary database, remove the key/data pairs from the primary database and all secondary indices.

If txn is null and the operation occurs in a transactional database, the operation is implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Delete Overload
BerkeleyDB Namespace